package ui

import (
	"net/http"
	"strconv"

	"github.com/gin-gonic/gin"

	"git.jmbit.de/jmb/goipam/db"
	"git.jmbit.de/jmb/goipam/web/templates"
)

func getSubnetsPage(c *gin.Context) {
	subnets := db.SubnetsList(&db.Subnet{}, -1, -1, "")
	c.HTML(http.StatusOK, "", templates.SubnetsPage(templates.GenMetaContent(c), subnets, nil))

}

func getSubnetDetails(c *gin.Context) {
	subnetID, err := strconv.Atoi(c.Param("id"))
	c.Errors = append(c.Errors, &gin.Error{Err: err, Type: gin.ErrorTypeAny})

	subnet := db.SubnetByID(subnetID)
}
